SnmpStatus (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.snmp

## Class SnmpStatus

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpStatus

-     public class SnmpStatus
      extends java.lang.Object

  An SNMP status value. This class is used to encapsulate the status value constants used in several SNMP macro types. Note that, due to the support for both SMIv1 and SMIv2, not all of the constants defined in this class can be present in all files. Please see the comments for each individual constant regarding the support for different SMI versions.
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SnmpStatus` | `CURRENT` The current SNMP status.
    `static SnmpStatus` | `DEPRECATED` The deprecated SNMP status.
    `static SnmpStatus` | `MANDATORY` The mandatory SNMP status.
    `static SnmpStatus` | `OBSOLETE` The obsolete SNMP status.
    `static SnmpStatus` | `OPTIONAL` The optional SNMP status.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MANDATORY

          public static final SnmpStatus MANDATORY

      The mandatory SNMP status. This status is only used in SMIv1.

    - #### OPTIONAL

          public static final SnmpStatus OPTIONAL

      The optional SNMP status. This status is only used in SMIv1.

    - #### CURRENT

          public static final SnmpStatus CURRENT

      The current SNMP status. This status is only used in SMIv2 and later.

    - #### DEPRECATED

          public static final SnmpStatus DEPRECATED

      The deprecated SNMP status. This status is only used in SMIv2 and later.

    - #### OBSOLETE

          public static final SnmpStatus OBSOLETE

      The obsolete SNMP status.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object